Bug 1748013

Summary: Review Request: php-phpmyadmin-sql-parser5 - A validating SQL lexer and parser with a focus on MySQL dialect
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-28 00:02:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Remi Collet 2019-09-02 13:27:01 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/phpmyadmin/php-phpmyadmin-sql-parser5.git/plain/php-phpmyadmin-sql-parser5.spec?id=082ab3738fa134831330d11d684a3e204511b170
SRPM URL: 
Description: 
A validating SQL lexer and parser with a focus on MySQL dialect.

This library was originally developed for phpMyAdmin during
the Google Summer of Code 2015.

Autoloader: /usr/share/php/PhpMyAdmin/SqlParser5/autoload.php


Fedora Account System Username: remi


---

New dependency of phpMyAdmin v5


See php-phpmyadmin-sql-parser review:
https://bugzilla.redhat.com/1415686

Diff:
https://git.remirepo.net/cgit/rpms/php/phpmyadmin/php-phpmyadmin-sql-parser5.git/diff/php-phpmyadmin-sql-parser5.spec?id=082ab3738fa134831330d11d684a3e204511b170

Comment 2 Robert-André Mauchin 2019-09-18 20:53:39 UTC
 - Build fails at patching. You patch 258 contains binary data not handled in Mock 

+ echo 'Patch #1 (258.patch):'
Patch #1 (258.patch):
+ /usr/bin/patch --no-backup-if-mismatch -p1 --fuzz=0
patching file CHANGELOG.md
Reversed (or previously applied) patch detected!  Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file CHANGELOG.md.rej
patching file CHANGELOG.md
patching file src/Components/AlterOperation.php
patching file src/Components/ArrayObj.php
patching file src/Components/CaseExpression.php
patching file src/Components/Condition.php
patching file src/Components/CreateDefinition.php
patching file src/Components/DataType.php
patching file src/Components/Expression.php
patching file src/Components/FunctionCall.php
patching file src/Components/GroupKeyword.php
patching file src/Components/IndexHint.php
patching file src/Components/IntoKeyword.php
patching file src/Components/JoinKeyword.php
patching file src/Components/Key.php
patching file src/Components/Limit.php
patching file src/Components/LockExpression.php
patching file src/Components/OptionsArray.php
patching file src/Components/OrderKeyword.php
patching file src/Components/ParameterDefinition.php
patching file src/Components/PartitionDefinition.php
patching file src/Components/Reference.php
patching file src/Components/RenameOperation.php
patching file src/Components/SetOperation.php
patching file CHANGELOG.md
Hunk #1 FAILED at 1.
Hunk #2 FAILED at 11.
2 out of 2 hunks FAILED -- saving rejects to file CHANGELOG.md.rej
File locale/fa/LC_MESSAGES/sqlparser.mo: git binary diffs are not supported.
patching file locale/fa/LC_MESSAGES/sqlparser.po
File locale/th/LC_MESSAGES/sqlparser.mo: git binary diffs are not supported.
patching file locale/th/LC_MESSAGES/sqlparser.po
File locale/nb/LC_MESSAGES/sqlparser.mo: git binary diffs are not supported.
patching file locale/nb/LC_MESSAGES/sqlparser.po
File locale/nb/LC_MESSAGES/sqlparser.mo: git binary diffs are not supported.
patching file locale/nb/LC_MESSAGES/sqlparser.po
patching file src/Components/Expression.php
patching file src/Components/ExpressionArray.php
error: Bad exit status from /var/tmp/rpm-tmp.lbURGu (%prep)

You should include the patch locally instead of an URL, that has changed since you created the SRPM.

Package approved, please fix the aformentioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 845 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/php-
     phpmyadmin-sql-parser5/review-php-phpmyadmin-sql-
     parser5/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-phpmyadmin-sql-parser5-5.0.0-1.fc32.noarch.rpm
          php-phpmyadmin-sql-parser5-5.0.0-1.fc32.src.rpm
php-phpmyadmin-sql-parser5.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpmyadmin-sql-parser5.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phpmyadmin-sql-parser5.noarch: W: no-manual-page-for-binary php-phpmyadmin-sql-parser5-highlight-query
php-phpmyadmin-sql-parser5.noarch: W: no-manual-page-for-binary php-phpmyadmin-sql-parser5-lint-query
php-phpmyadmin-sql-parser5.noarch: W: no-manual-page-for-binary php-phpmyadmin-sql-parser5-tokenize-query
php-phpmyadmin-sql-parser5.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpmyadmin-sql-parser5.src: W: spelling-error %description -l en_US usr -> use, us, user
php-phpmyadmin-sql-parser5.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 3 Remi Collet 2019-09-19 07:01:18 UTC
Thanks for the review


> You should include the patch locally instead of an URL, that has changed since you created the SRPM.

Indeed...


SCM Requests
https://pagure.io/releng/fedora-scm-requests/issue/16941
https://pagure.io/releng/fedora-scm-requests/issue/16942
https://pagure.io/releng/fedora-scm-requests/issue/16943

Comment 4 Remi Collet 2019-09-19 07:23:45 UTC
> You should include the patch locally instead of an URL, that has changed since you created the SRPM.

Done in  https://git.remirepo.net/cgit/rpms/php/phpmyadmin/php-phpmyadmin-sql-parser5.git/commit/?id=ab1938aa95fd2d6332336566c5780f28015e2e77

Comment 5 Igor Gnatenko 2019-09-19 09:12:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-phpmyadmin-sql-parser5

Comment 6 Fedora Update System 2019-09-19 09:33:03 UTC
FEDORA-2019-8c626414d2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8c626414d2

Comment 7 Fedora Update System 2019-09-20 01:56:35 UTC
php-phpmyadmin-sql-parser5-5.0.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8c626414d2

Comment 8 Fedora Update System 2019-09-20 02:56:32 UTC
php-phpmyadmin-sql-parser5-5.0.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4b81b58390

Comment 9 Fedora Update System 2019-09-28 00:02:21 UTC
php-phpmyadmin-sql-parser5-5.0.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-28 03:38:58 UTC
php-phpmyadmin-sql-parser5-5.0.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.